Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface IsRenderable

All Known Implementing Classes:
  AbstractCellTable, AbstractCellTree, AbstractHasData, AbstractPager, CalendarView, CaptionPanel, CellBrowser, CellList, CellTable, CellTree, Composite, DataGrid, DateBox, DatePicker, DecoratedTabBar, DecoratedTabPanel, DefaultCalendarView, DefaultMonthSelector, DisclosurePanel, MonthSelector, NotificationMole, PageSizePager, RenderablePanel, ResizeComposite, SimplePager, StackLayoutPanel, SuggestBox, TabBar, TabLayoutPanel, TabPanel, ValueBoxEditorDecorator, ValueListBox, ValuePicker

    public interface IsRenderable

An interface for UI elements that can be built by first generating a piece of HTML and afterwards wrapping a root widget. This interface is very experimental and in active development, so the exact API is likely to change. Very likely. In fact, it will definitely change. You've been warned.

Method Summary
`void` | `performDetachedInitialization()` Perform any initialization needed when the widget is not attached to the document.
`SafeHtml` | `render(java.lang.String id)`
`void` | `render(java.lang.String id, SafeHtmlBuilder builder)` Tells this object to render itself as HTML and append it to the given builder.
`void` | `wrapElement(Element element)` Replace the previous contents of the receiver with the given element, presumed to have been created via a previous call to `render(java.lang.String)`.

Method Detail

### performDetachedInitialization

    void performDetachedInitialization()

  Perform any initialization needed when the widget is not attached to the document. Assumed to be called after `wrapElement(com.google.gwt.dom.client.Element)`.

### render

    SafeHtml render(java.lang.String id)

  See Also:
    `TODO(rdcastro): Remove this once UiBinder doesn't rely on it anymore.`

### render

    void render(java.lang.String id,
                SafeHtmlBuilder builder)

  Tells this object to render itself as HTML and append it to the given builder. The root element of the HTML must be identifies by the given id.

### wrapElement

    void wrapElement(Element element)

  Replace the previous contents of the receiver with the given element, presumed to have been created via a previous call to `render(java.lang.String)`. Assumes the element is attached to the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD